WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

WP i18n

Multilingual/internationalization plugin for WP. Fork of WPML 2.0.4.1.

What happened to WPML?

This plugin is not WPML and will probably diverge further and further from it over time. WPML went commercial-only in 2011, pulling all versions

Can I translate myself, or do I need to pay for it?

At this point, you have to do it yourself (or rather, someone with access to your admin has to). Integrated support for professional services from ICanLocalize have been removed, although in a future version it will hopefully be possible to add it back in with an additional plugin.

Languages per directories are disabled

To be able to use languages in directories, you should use a non-default permlink structure.

Some feature is broken or missing!

This was a pretty rough and ugly fork of the WPML project. If you discover any problem of any kind, please post in the WordPress.org forums.

If you're a developer, please try to fix the problem and submit a patch.

If you're a good developer, please let me know if you'd like to become a contributor or maintainer on the project, because I have extremely limited time to work on it and will not be able to make frequent updates.

Known bugs

  • ICanLocalize support was ripped out pretty hastily and dirtily since it was integrated so tightly. If you used it before, you will need to disable any automated translation service requests you have going, or else when you install WP i18n it will probably continue to request translations without giving you an option to disable it and could run up a big useless bill...
  • probably some bugs relating to default permalink structure and languages in directories
  • probably dozens of other bugs left over from WPML
  • translations of the plugin itself are woefully out of date now, so you'll be stuck seeing a bunch of English strings in the plugin until development stabilizes a bit

Future plans

Here's a blueprint for future versions, in roughly this order of importance:

  1. fix any bugs and security issues when using with WordPress v3.3+
  2. add support for any third-party translation service to have a plugin to integrate with WP i18n, so services like ICanLocalize can be used again
  3. add support for localization of all new features in WordPress v3.3+
  4. update translation files for the plugin itself

Requires: 2.8 or higher
Compatible up to: 3.3.2
Last Updated: 2012-5-24
Downloads: 2,486

Ratings

4 stars
4.5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

33,3,1
100,1,1
100,1,1
50,2,1
100,1,1